Subject: Re: network namespace website

From: [email-masked] (Eric W. Biederman)
Date: Fri, 06 Apr 2007 15:03:20 -0600

Daniel Lezcano <[email-masked]> writes:

> Hi,
>
> Eric Biederman has posted a few weeks ago a RFC-patchset concerning the 
> network namespace.
> I ported it to the 2.6.20 kernel and uploaded the patchset to
>
> http://lxc.sourceforge.net/network.php
>
> For the part I had to used (TCP/UDP-IPV4 with usual ethernet device), I 
> found the patchset pretty stable.
>
> You can find in the website:
>
>     - a global description of what is the network namespace
>     - a howto for the network namespace configuration
>     - a benchmarking matrix
>     - the network namespace patchset for 2.6.20 kernel
>
> I hope that can helps to answer what is ? , what for ?, how to use ? 
> questions.
>
> If you have any questions or feedbacks, feel free to send an email to 
> containers@ mailing list

An updated version with hopefully all of the fixes applied and merged
based into the proper patches and against against 2.6.21-rc6 is available at:

git://git.kernel.org/pub/scm/linux/kernel/git/ebiederm/linux-2.6-netns.git

After finally getting the sysfs support back under control I have finished
rebasing my original patchset.

Eric